%define		_state		stable
%define		orgname		kamera
%define		qtver		4.8.1

Summary:	K Desktop Environment - Digital camera support
Summary(pl.UTF-8):	K Desktop Environment - Obsługa kamer cyfrowych
Name:		kde4-kamera
Version:	4.10.4
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	09a57d98938ea284226aa4c698afed85
URL:		http://www.kde.org/
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	libgphoto2-devel
BuildRequires:	libstdc++-devel
BuildRequires:	perl
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	xorg-lib-libX11-devel
Requires:	kde4-kdebase >= %{version}
Obsoletes:	kde4-kdegraphics-kamera < 4.6.99
Obsoletes:	kamera <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
kamera is an IO slave and a KControl panel module which allows you to
access folders and images within any digital camera supported by the
upcoming gPhoto2 libraries. If you have a supported camera, you can
start using it with most KDE applications in two easy steps: simply
configure your camera model and port type from a list in KControl,
then start accessing the camera contents with a kamera:/ URL.

%description -l pl.UTF-8
kamera to moduł IO slave oraz panelu KControl umożliwiający dostęp do
folderów i zdjęć w dowolnym aparacie cyfrowym obsługiwanym przez
biblioteki gPhoto2. Jeśli mamy obsługiwany aparat, można zacząć używać
go w większości aplikacji KDE w dwóch krokach: wybrać model i port
aparatu z listy w KControl, a następnie odwoływać się do zawartości
aparatu przez URL kamera:/.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	-DGWENVIEW_SEMANTICINFO_BACKEND=Nepomuk \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kcm_kamera.so
%attr(755,root,root) %{_libdir}/kde4/kio_kamera.so
%{_datadir}/kde4/services/kamera.desktop
%{_datadir}/kde4/services/camera.protocol
%{_kdedocdir}/en/kcontrol/kamera
%{_datadir}/apps/solid/actions/solid_camera.desktop
%changelog
* Wed Jun 19 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kamera.git;a=log;h=master

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 488e9c0
- updated to 4.10.4 (by update-kde4.sh)

* Tue Jun 11 2013 Jan Rękorajski <baggins@pld-linux.org> 3d2936f
- release 2 (by relup.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 2a34e25
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 55c10d2
- updated to 4.9.4

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> 363cc31
- updated to 4.9.1.

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 317a761
- release 2 (by relup.sh)

* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 14d9776
- up to 4.9.0

* Mon Jun 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ee403b
- up to 4.8.4

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f46f4c3
- up to 4.8.3

* Sat Mar 31 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 85fb0e0
- up to 4.8.2

* Thu Mar 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4cd9dd2
- flat xz layout was used in final version

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> be830ba
- up to 4.8.1

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2c9d6e4
- rel 2; fixed O

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0417256
- now as kde4-kamera

* Thu Jan 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9541d7d
- up to 4.8.0

* Sat Dec 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 529e89c
- up to 4.7.4

* Sat Oct 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8455a4e
- up to 4.7.3

* Tue Oct 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2237441
- up to 4.7.2

* Sat Oct 01 2011 Elan Ruusamäe <glen@pld-linux.org> 498d00d
- fix corrupted charset

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0222d50
- rel 2

